// <<comment>>

@font-face{
  font-family: '<<fontName>>';
  src: url(#{'{{"<<fontName>>.eot" | asset_url}}'});
  src: url(#{'{{"<<fontName>>.eot?#iefix" | asset_url}}'}) format('embedded-opentype'), url(#{'{{"<<fontName>>.woff" | asset_url}}'}) format('woff'), url(#{'{{"<<fontName>>.ttf" | asset_url}}'}) format('truetype'), url(#{'{{"<<fontName>>.svg" | asset_url}}'}) format('svg');
  font-weight: normal;
  font-style: normal;
}

@mixin icon($content: ''){
  &:before{
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    content: $content;
    font-family: '<<fontName>>';
    font-style: normal;
    font-variant: normal;
    font-weight: normal;
    line-height: 1;
    speak: none;
    text-transform: none;
    @content
  }
}

.i-icon{
  @include icon;
  @for $i from 1 through 8 {
    $multiplier: $i * 8;
    &.is-#{$multiplier}{
      height: #{$multiplier}px;
      width: #{$multiplier}px;
      &:before{
        font-size: #{$multiplier}px;
      }
    }
  }
}

<% for icon in icons -%>
// Save variable
$icon-<<icon.name>>: "\<<icon.code>>";
// Save mixin
@mixin icon-<<icon.name>>{
  @include icon($icon-<<icon.name>>){
    @content
  }
}
// Expose as class
.i-icon.<<icon.name>>:before{
  content: $icon-<<icon.name>>;
}

<% endfor %>

.icon-fallback-text {
  .fallback-text {
    visibility: hidden;
    opacity: 0;
  }
}
